Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.client.renderer.culling
Class Frustrum

    java.lang.Object
      net.minecraft.client.renderer.culling.Frustrum

All Implemented Interfaces:
  ICamera

    public class Frustrum

extends Object
implements ICamera

Constructor Summary
`Frustrum()`

Method Summary
`boolean` | `isBoundingBoxInFrustum(AxisAlignedBB par1AxisAlignedBB)` Returns true if the bounding box is inside all 6 clipping planes, otherwise returns false.
`boolean` | `isBoxInFrustum(double par1, double par3, double par5, double par7, double par9, double par11)` Calls the clipping helper.
`void` | `setPosition(double par1, double par3, double par5)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Frustrum

    public Frustrum()

Method Detail

### setPosition

    public void setPosition(double par1,
                            double par3,
                            double par5)

  Specified by:
    `setPosition` in interface `ICamera`

### isBoxInFrustum

    public boolean isBoxInFrustum(double par1,
                                  double par3,
                                  double par5,
                                  double par7,
                                  double par9,
                                  double par11)

  Calls the clipping helper. Returns true if the box is inside all 6 clipping planes, otherwise returns false.

### isBoundingBoxInFrustum

    public boolean isBoundingBoxInFrustum(AxisAlignedBB par1AxisAlignedBB)

  Returns true if the bounding box is inside all 6 clipping planes, otherwise returns false.

  Specified by:
    `isBoundingBoxInFrustum` in interface `ICamera`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD